<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:fx="#fx-functions" exclude-result-prefixes="msxsl fx">
<xsl:output method="xml" encoding="UTF-8" />
<xsl:key name="pon" match="earthquake_query" use="level" />
<xsl:output indent="yes"/>
<xsl:strip-space elements="*"/>
<xsl:template match="//dataroot">
  <kml xmlns="http://earth.google.com/kml/2.1">
  <Document>
  <xsl:for-each select="earthquake_query[not(level = preceding-sibling::earthquake_query/level)]">
    
    <Folder>
    <name><xsl:value-of select="level"/></name>
    <xsl:for-each select="key('pon', level)">
		<Placemark>
		<name><xsl:value-of select="address" /></name>
			<visibility>0</visibility>
			<address><xsl:value-of select="address" /></address>
		</Placemark>
    </xsl:for-each>
    
    </Folder>
  </xsl:for-each>
  </Document>
  </kml>
</xsl:template>

</xsl:stylesheet>
